spamassassin-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzilla-dae...@bugzilla.spamassassin.org
Subject [Bug 6145] New: add Archive::Tar to required modules
Date Thu, 02 Jul 2009 13:43:54 GMT
https://issues.apache.org/SpamAssassin/show_bug.cgi?id=6145

           Summary: add Archive::Tar to required modules
           Product: Spamassassin
           Version: unspecified
          Platform: Other
        OS/Version: All
            Status: NEW
          Severity: minor
          Priority: P5
         Component: Building & Packaging
        AssignedTo: dev@spamassassin.apache.org
        ReportedBy: jm@jmason.org


Kevin A. McGrail  to Justin, dev:

'I'll vote +1 so he [Mark] can talk about it.  With sa-update now we required,
we should add Archive::Tar as a requirement to the Makefile.PL, yes?

# also see CURRENT_PM below
  'PREREQ_PM' => {
      'Digest::SHA1'  => 0,             # 2.0 is oldest tested version
      'File::Spec'    => 0.8,           # older versions lack some routines we
need
      'File::Copy'    => 2.02,          # this version is shipped with
5.005_03, the oldest version known to work
      'Pod::Usage'    => 1.10,          # all versions prior to this do seem to
be buggy
      'HTML::Parser'  => 3.43,          # the HTML code is based on this
parser, older versions have utf-8 bugs
      'Net::DNS'      => (RUNNING_ON_WINDOWS ? 0.46 : 0.34), # bugs in older
revs
      'NetAddr::IP'   => 0,
      'Sys::Hostname' => 0,
      'Time::HiRes'   => 0,
      'Time::Local'   => 0,
      'Errno'         => 0,
  },

And/or edit the Mail::SpamAssassin::Util::DependencyInfo as well.

-- 
Configure bugmail: https://issues.apache.org/SpamAssassin/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

Mime
View raw message